Bug 178189 - [PATCH] www/w3m: make slave ports work as are before master port is OptionsNG-fied
[PATCH] www/w3m: make slave ports work as are before master port is OptionsNG...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: MANTANI Nobutaka
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-26 22:50 UTC by Yasuhiro KIMURA
Modified: 2013-08-22 19:20 UTC (History)
0 users

See Also:


Attachments
patch-w3m (4.38 KB, text/plain)
2013-04-26 22:50 UTC, Yasuhiro KIMURA
no flags Details
patch-w3m (9.76 KB, text/plain; charset=Shift_JIS)
2013-08-19 19:42 UTC, Yasuhiro KIMURA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2013-04-26 22:50:00 UTC
	- Make slave ports work as are before master port is OptionsNG-fied.
	- Convert makefile header to new format.
	- Remove shlib version from LIB_DEPENDS.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-26 22:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yasuhiro KIMURA 2013-08-10 01:07:19 UTC
Hello.

Would you please commit this PR?

Regards.
Comment 3 Yasuhiro KIMURA 2013-08-19 19:42:52 UTC
This is an update with following changes:

- Remove M17N option and make m17n feature always on. It is because
  configure script enables m17n feature by default and there is no
  practical advantage of disabling it.
- Remove www/w3m-m17n and www/w3m-m17-img because they are now identical
  with www/w3m and www/w3m-img.
- Add entry of removed ports to MOVED. Please adjust date field when
  commiting.
- Update CONFLICTS.
- Adjust dependency of www/emacs-w3m.
- Bump PORTREVISON of w3m ports and www/emacs-w3m.

Please commit attached patch instead of original one.

Regards.
Comment 4 MANTANI Nobutaka freebsd_committer 2013-08-22 17:31:19 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter freebsd_committer 2013-08-22 19:13:07 UTC
Author: nobutaka
Date: Thu Aug 22 16:30:42 2013
New Revision: 325211
URL: http://svnweb.freebsd.org/changeset/ports/325211

Log:
  - Make slave ports of www/w3m work as are before master port is
  OptionsNG-fied.
  - Convert makefile header to new format.
  - Remove shlib version from LIB_DEPENDS.
  - Remove M17N option and make m17n feature always on. It is because
  configure script enables m17n feature by default and there is no
  practical advantage of disabling it.
  - Remove www/w3m-m17n and www/w3m-m17-img because they are now identical
  with www/w3m and www/w3m-img.
  - Add entry of removed ports to MOVED.
  - Update CONFLICTS.
  - Adjust dependency of www/emacs-w3m.
  - Bump PORTREVISON of w3m ports and www/emacs-w3m.
  
  PR:		ports/178189
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Deleted:
  head/www/w3m-m17n/
  head/www/w3m-m17n-img/
Modified:
  head/MOVED
  head/japanese/w3m-img/Makefile   (contents, props changed)
  head/japanese/w3m/Makefile   (contents, props changed)
  head/www/Makefile
  head/www/emacs-w3m/Makefile   (contents, props changed)
  head/www/w3m-img/Makefile   (contents, props changed)
  head/www/w3m/Makefile
  head/www/w3m/pkg-plist   (contents, props changed)

Modified: head/MOVED
==============================================================================
--- head/MOVED	Thu Aug 22 16:21:53 2013	(r325210)
+++ head/MOVED	Thu Aug 22 16:30:42 2013	(r325211)
@@ -4840,4 +4840,6 @@ lang/q||2013-08-11|Has expired: Q-Lang i
 audio/q-audio||2013-08-11|Has expired: Q-Lang is no longer supported. See lang/pure instead
 graphics/q-graph||2013-08-11|Has expired: Q-Lang is no longer supported. See lang/pure instead
 devel/prettygo|devel/go-pretty|2013-08-17|Project was renamed
+www/w3m-m17n|www/w3m|2013-08-22|Unified to www/w3m
+www/w3m-m17n-img|www/w3m-img|2013-08-22|Unified to www/w3m-img
 www/moodle22||2013-08-20|Has expired: Unmaintained upstream

Modified: head/japanese/w3m-img/Makefile
==============================================================================
--- head/japanese/w3m-img/Makefile	Thu Aug 22 16:21:53 2013	(r325210)
+++ head/japanese/w3m-img/Makefile	Thu Aug 22 16:30:42 2013	(r325211)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   ja-w3m-image
-# Date Created:                22 July 2001
-# Whom:                        MANTANI Nobutaka <nobutaka@nobutaka.com>
-#
+# Created by: MANTANI Nobutaka <nobutaka@nobutaka.com>
 # $FreeBSD$
-#
 
 CATEGORIES=	japanese
 PKGNAMESUFFIX=	-img
@@ -15,8 +11,8 @@ MASTERDIR=	${.CURDIR}/../../www/w3m
 PKGDIR=		${.CURDIR}
 PLIST=		${MASTERDIR}/pkg-plist
 
-WITH_JAPANESE=	Yes
-WITH_INLINE_IMAGE=	yes
-CONFLICTS=	ja-w3m-0.5.* w3m-0.5.* w3m-m17n-0.5.* w3m-img-0.5.* w3m-m17n-img-0.5.*
+OPTIONS_OVERRIDE=	DOCS JAPANESE INLINE_IMAGE
+NO_DIALOG=	yes
+CONFLICTS=	ja-w3m-0.5.* w3m-0.5.* w3m-img-0.5.*
 
 .include "${MASTERDIR}/Makefile"

Modified: head/japanese/w3m/Makefile
==============================================================================
--- head/japanese/w3m/Makefile	Thu Aug 22 16:21:53 2013	(r325210)
+++ head/japanese/w3m/Makefile	Thu Aug 22 16:30:42 2013	(r325211)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	ja-w3m
-# Date Created:			8 Oct 1999
-# Whom:				SADA Kenji <sada@FreeBSD.org>
-#
+# Created by: SADA Kenji <sada@FreeBSD.org>
 # $FreeBSD$
-#
 
 CATEGORIES=	japanese
 
@@ -14,7 +10,8 @@ MASTERDIR=	${.CURDIR}/../../www/w3m
 PKGDIR=		${.CURDIR}
 PLIST=		${MASTERDIR}/pkg-plist
 
-WITH_JAPANESE=	Yes
-CONFLICTS=	ja-w3m-img-0.5.* w3m-0.5.* w3m-m17n-0.5.* w3m-img-0.5.* w3m-m17n-img-0.5.*
+OPTIONS_OVERRIDE=	DOCS JAPANESE
+NO_DIALOG=	yes
+CONFLICTS=	ja-w3m-img-0.5.* w3m-0.5.* w3m-img-0.5.*
 
 .include "${MASTERDIR}/Makefile"

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Thu Aug 22 16:21:53 2013	(r325210)
+++ head/www/Makefile	Thu Aug 22 16:30:42 2013	(r325211)
@@ -2047,8 +2047,6 @@
     SUBDIR += vtiger-customerportal
     SUBDIR += w3m
     SUBDIR += w3m-img
-    SUBDIR += w3m-m17n
-    SUBDIR += w3m-m17n-img
     SUBDIR += w3mir
     SUBDIR += waccess
     SUBDIR += wadcomblog

Modified: head/www/emacs-w3m/Makefile
==============================================================================
--- head/www/emacs-w3m/Makefile	Thu Aug 22 16:21:53 2013	(r325210)
+++ head/www/emacs-w3m/Makefile	Thu Aug 22 16:30:42 2013	(r325211)
@@ -3,7 +3,7 @@
 
 PORTNAME=	emacs-w3m
 PORTVERSION=	1.4.471.b.${SNAPDATE}
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	www elisp
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	nobutaka
@@ -90,8 +90,8 @@ SEMI_PORT?=	${PORTSDIR}/editors/semi-${E
 MULE_UCS_PORT?=	${PORTSDIR}/converters/mule-ucs-${EMACS_PORT_NAME}
 MULE_UCS_ELISP_FILE=	${LOCALBASE}/${EMACS_VERSION_SITE_LISPDIR}/mule-ucs/un-define.el
 
-BUILD_DEPENDS+=	w3m:${PORTSDIR}/www/w3m-m17n
-RUN_DEPENDS+=	w3m:${PORTSDIR}/www/w3m-m17n
+BUILD_DEPENDS+=	w3m:${PORTSDIR}/www/w3m
+RUN_DEPENDS+=	w3m:${PORTSDIR}/www/w3m
 .if ${PORT_OPTIONS:MSHIMBUN}
 BUILD_DEPENDS+=	${FLIM_COOKIE}:${FLIM_PORT}
 RUN_DEPENDS+=	${FLIM_COOKIE}:${FLIM_PORT}

Modified: head/www/w3m-img/Makefile
==============================================================================
--- head/www/w3m-img/Makefile	Thu Aug 22 16:21:53 2013	(r325210)
+++ head/www/w3m-img/Makefile	Thu Aug 22 16:30:42 2013	(r325211)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   w3m-image
-# Date Created:                22 July 2001
-# Whom:                        MANTANI Nobutaka <nobutaka@nobutaka.com>
-#
+# Created by: MANTANI Nobutaka <nobutaka@nobutaka.com>
 # $FreeBSD$
-#
 
 PKGNAMESUFFIX=	-img
 
@@ -14,7 +10,8 @@ MASTERDIR=	${.CURDIR}/../../www/w3m
 PKGDIR=		${.CURDIR}
 PLIST=		${MASTERDIR}/pkg-plist
 
-WITH_INLINE_IMAGE=	yes
-CONFLICTS=	ja-w3m-0.5.* ja-w3m-img-0.5.* w3m-0.5.* w3m-m17n-0.5.* w3m-m17n-img-0.5.*
+OPTIONS_OVERRIDE=	DOCS INLINE_IMAGE
+NO_DIALOG=	yes
+CONFLICTS=	ja-w3m-0.5.* ja-w3m-img-0.5.* w3m-0.5.*0
 
 .include "${MASTERDIR}/Makefile"

Modified: head/www/w3m/Makefile
==============================================================================
--- head/www/w3m/Makefile	Thu Aug 22 16:21:53 2013	(r325210)
+++ head/www/w3m/Makefile	Thu Aug 22 16:30:42 2013	(r325211)
@@ -3,7 +3,7 @@
 
 PORTNAME=	w3m
 PORTVERSION=	0.5.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES+=	www ipv6
 MASTER_SITES=	SF/w3m/w3m/w3m-${PORTVERSION}
 
@@ -11,11 +11,11 @@ MAINTAINER?=	nobutaka@FreeBSD.org
 COMMENT?=	A pager/text-based WWW browser
 
 USE_OPENSSL=	yes
-LIB_DEPENDS=	gc.1:${PORTSDIR}/devel/boehm-gc
+LIB_DEPENDS=	gc:${PORTSDIR}/devel/boehm-gc
 
 MAKE_JOBS_UNSAFE=	yes
 
-CONFLICTS?=	ja-w3m-0.5.* ja-w3m-img-0.5.* w3m-m17n-0.5.* w3m-img-0.5.* w3m-m17n-img-0.5.*
+CONFLICTS?=	ja-w3m-0.5.* ja-w3m-img-0.5.* w3m-img-0.5.*
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-gc=${LOCALBASE}
 
@@ -23,36 +23,23 @@ MAN1=		w3m.1 w3mman.1
 MANLANG=	"" ja
 
 DOCS=		FAQ.html HISTORY MANUAL.html README \
-		README.dict README.func STORY.html keymap.default \
+		README.dict README.func README.m17n STORY.html keymap.default \
 		keymap.lynx menu.default menu.submenu
 
-.if !defined(MASTERDIR)
-OPTIONS_DEFINE=	M17N JAPANESE INLINE_IMAGE KEY_LYNX DOCS
-M17N_DESC=		Multilingualization support
+OPTIONS_DEFINE=	JAPANESE INLINE_IMAGE KEY_LYNX DOCS
 JAPANESE_DESC=		Japanese messages and migemo support
 INLINE_IMAGE_DESC=	Inline image support
 KEY_LYNX_DESC=		Keymap like lynx browser
-.endif
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MM17N}
-CONFIGURE_ARGS+=	--enable-m17n
-PLIST_SUB+=	M17N=""
-.else
-.if ! ${PORT_OPTIONS:MJAPANESE}
-CONFIGURE_ARGS+=	--disable-m17n
-PLIST_SUB+=	M17N="@comment "
-.endif
-.endif
-
 .if ${PORT_OPTIONS:MJAPANESE}
 USES+=		gettext
-CONFIGURE_ARGS+=	--enable-m17n --enable-japanese=E --with-migemo=yes gt_cv_func_gnugettext1_libintl=yes
+CONFIGURE_ARGS+=	--enable-japanese=E --with-migemo=yes gt_cv_func_gnugettext1_libintl=yes
 DOCS_JP=	${DOCS} README.SSL README.cookie README.keymap README.mailcap \
 		README.menu README.migemo
 
-PLIST_SUB+=	JAPANESE="" M17N=""
+PLIST_SUB+=	JAPANESE=""
 .else
 CONFIGURE_ARGS+=	--disable-nls
 PLIST_SUB+=	JAPANESE="@comment "
@@ -103,9 +90,6 @@ post-install:
 	for i in ${DOCS} ; do \
 		${INSTALL_DATA} $$i ${PREFIX}/share/doc/w3m/ ; \
 	done
-.if ${PORT_OPTIONS:MM17N} || ${PORT_OPTIONS:MJAPANESE}
-	@${INSTALL_DATA} ${WRKSRC}/doc/README.m17n ${PREFIX}/share/doc/w3m
-.endif
 .endif
 	@${INSTALL_MAN} ${WRKSRC}/scripts/w3mman/w3mman.1 ${PREFIX}/man/ja/man1
 .if ${PORT_OPTIONS:MINLINE_IMAGE}

Modified: head/www/w3m/pkg-plist
==============================================================================
--- head/www/w3m/pkg-plist	Thu Aug 22 16:21:53 2013	(r325210)
+++ head/www/w3m/pkg-plist	Thu Aug 22 16:30:42 2013	(r325211)
@@ -20,6 +20,7 @@ libexec/w3m/xface2xpm
 %%PORTDOCS%%%%JAPANESE%%share/doc/ja/w3m/README.func
 %%PORTDOCS%%%%JAPANESE%%%%INLINE_IMAGE%%share/doc/ja/w3m/README.img
 %%PORTDOCS%%%%JAPANESE%%share/doc/ja/w3m/README.keymap
+%%PORTDOCS%%%%JAPANESE%%share/doc/ja/w3m/README.m17n
 %%PORTDOCS%%%%JAPANESE%%share/doc/ja/w3m/README.mailcap
 %%PORTDOCS%%%%JAPANESE%%share/doc/ja/w3m/README.menu
 %%PORTDOCS%%%%JAPANESE%%share/doc/ja/w3m/README.migemo
@@ -35,7 +36,7 @@ libexec/w3m/xface2xpm
 %%PORTDOCS%%%%DOCSDIR%%/README.dict
 %%PORTDOCS%%%%DOCSDIR%%/README.func
 %%PORTDOCS%%%%INLINE_IMAGE%%%%DOCSDIR%%/README.img
-%%PORTDOCS%%%%M17N%%%%DOCSDIR%%/README.m17n
+%%PORTDOCS%%%%DOCSDIR%%/README.m17n
 %%PORTDOCS%%%%DOCSDIR%%/STORY.html
 %%PORTDOCS%%%%DOCSDIR%%/keymap.default
 %%PORTDOCS%%%%DOCSDIR%%/keymap.lynx
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"